<% Response.ContentType = "application/x-internet-signup" %>
; NOTE: anything inside  is changed by the signup server before sending the INS file to the ICW

; Required INS fields
<%
If IsEmpty(Session("NetworkRealm")) Or Session("NetworkRealm") = "" Then
	UserString = Session("UserName")
Else
	' 0=domain\user 1=realm/user 2=user@realm
	Select Case Session("LogonStyle")
	CASE "0"
		UserString = Session("NetworkRealm") & "\" & Session("UserName")
	CASE "1"
		UserString = Session("NetworkRealm") & "/" & Session("UserName")
	CASE "2"
		UserString = Session("UserName") & "@" & Session("NetworkRealm")
	End Select
End If

'Insert the user-specific data
Response.Write "[Phone]" & Chr(13) & Chr(10)
Response.Write "Phone_Number=" & Session("IspPhoneNo") & Chr(13) & Chr(10)
Response.Write "Dial_As_Is=NO" & Chr(13) & Chr(10)
Response.Write "Country_ID=" & Session("IspCountryID") & Chr(13) & Chr(10)
Response.Write "Area_Code=" & Session("IspAreaCode") & Chr(13) & Chr(10)

Response.Write "[Entry]" & Chr(13) & Chr(10)
' Must match the Service name in CMAK & Chr(13) & Chr(10)
Response.Write "Entry_Name=" & Session("EntryName") & Chr(13) & Chr(10)

Response.Write "[Custom]" & Chr(13) & Chr(10)
Response.Write "Run=icwconn2.exe" & Chr(13) & Chr(10)
Response.Write "Keep_Connection=yes" & Chr(13) & Chr(10)

Response.Write "[User]" & Chr(13) & Chr(10)
Response.Write "Name=" & CStr(UserString) & Chr(13) & Chr(10)
Response.Write "Password=" & Session("Password") & Chr(13) & Chr(10)

Response.Write "[MS_IMS]" & Chr(13) & Chr(10)
Response.Write "Mail_Routing=yes" & Chr(13) & Chr(10)
Response.Write "Mail_Route_Host_Name=" & Session("ISPMailServer") & Chr(13) & Chr(10)
Response.Write "Mail_Route_Host_Address=" & Session("ISPMailAddress") & Chr(13) & Chr(10)
Response.Write "Mail_Domain_Name=" & Session("ThirdLevelDomainName") & Chr(13) & Chr(10)
Response.Write "Mail_Redial_Hours=" & Session("MailRedialHours") & Chr(13) & Chr(10)
Response.Write "Mail_ETRNDelay_Seconds=" & Session("MailETRNDelaySeconds") & Chr(13) & Chr(10)
Response.Write "Mail_DeliveryKey=" & Session("RandomMachineName") & Chr(13) & Chr(10)
'***Response.Write "Mail_DeliveryPoint=" & Session("WINSAddress") & Chr(13) & Chr(10)
Response.Write "WINS_Address=" & Session("WINSAddress") &Chr(13) & Chr(10)
Response.Write "WINS_Alt_Address=" & Session("WINSAltAddress") &Chr(13) & Chr(10)

Response.Write "[WEB_INFO]" & Chr(13) & Chr(10)
Response.Write "InternetSite=" & "http://www" & Chr(46) & Session("ThirdLevelDomainName") & Chr(13) & Chr(10)
Response.Write "Name=" & Session("MachineDomainName") & "\" & Session("FrontPageUserName") & Chr(13) & Chr(10)
Response.Write "Password=" & Session("Password") & Chr(13) & Chr(10)
Response.Write "FTP_Path=" & "ftp://www" & Chr(46) & Session("ThirdLevelDomainName") & "/" & Session("Directory") & Chr(13) & Chr(10)

Response.Write "[TCP/IP]" & Chr(13) & Chr(10)
'IP addresses are now dynamic & Chr(13) & Chr(10)
if (Session("UseStaticIP") = "True") then
    Response.Write "Specify_IP_Address=YES" & Chr(13) & Chr(10)
    Response.Write "IP_Address=" & Session("PermIPAddress") & Chr(13) & Chr(10)
else
    Response.Write "Specify_IP_Address=NO" & Chr(13) & Chr(10)
end if
Response.Write "Specify_Server_Address=NO" & Chr(13) & Chr(10)
Response.Write "IP_Header_Compress=YES" & Chr(13) & Chr(10)
Response.Write "Gateway_On_Remote=YES" & Chr(13) & Chr(10)
Response.Write "WINS_Address=" & Session("WINSAddress") &Chr(13) & Chr(10)
Response.Write "WINS_Alt_Address=" & Session("WINSAltAddress") &Chr(13) & Chr(10)

Response.Write "[Server]" & Chr(13) & Chr(10)
Response.Write "Type=PPP" & Chr(13) & Chr(10)
Response.Write "SW_Compress=YES" & Chr(13) & Chr(10)
Response.Write "Negotiate_TCP/IP=YES" & Chr(13) & Chr(10)
Response.Write "Disable_LCP=YES" & Chr(13) & Chr(10)

' SAM-specific fields
Response.Write "[DN_INFO]" & Chr(13) & Chr(10)
Response.Write "Business_Name=" & Session("OrgName") & Chr(13) & Chr(10)
Response.Write "Business_Phone=" & Session("Phone") & Chr(13) & Chr(10)
Response.Write "Business_Fax=" & Session("Fax") & Chr(13) & Chr(10)
Response.Write "Business_Address=" & Session("Address1") & ", " & Session("Address2") & Chr(13) & Chr(10)
Response.Write "Business_City=" & Session("City") & Chr(13) & Chr(10)
Response.Write "Business_State=" & Session("State") & Chr(13) & Chr(10)
Response.Write "Business_Country=" & Session("Country") & Chr(13) & Chr(10)
Response.Write "Business_Zip=" & Session("Zip") & Chr(13) & Chr(10)
Response.Write "Contact_Name=" & Session("Contact") & Chr(13) & Chr(10)
Response.Write "Contact_Handle=" & Chr(13) & Chr(10)
Response.Write "Contact_Email=" & Chr(13) & Chr(10)
If Session("Online2ndLevel") = "True" Then
	Response.Write "Tech_Handle= " & Chr(13) & Chr(10)
	Response.Write "DNS_Server1_Handle= " & Chr(13) & Chr(10)
	Response.Write "DNS_Server2_Handle= " & Chr(13) & Chr(10)
Else
	Response.Write "Tech_Handle=" & Session("TechHandle") & Chr(13) & Chr(10)
	Response.Write "DNS_Server1_Handle=" & Session("DNSServerHandle1") & Chr(13) & Chr(10)
	Response.Write "DNS_Server2_Handle=" & Session("DNSServerHandle2") & Chr(13) & Chr(10)
End If
Response.Write "Update=" & Chr(13) & Chr(10)
Response.Write "ISP_Service_Host=" & Session("ISPServiceHost") & Chr(13) & Chr(10)
Response.Write "ISP_Service_Port=" & Session("ISPServicePort") & Chr(13) & Chr(10)
Response.Write "ISP_Service_User=" & Session("UserName") & Chr(13) & Chr(10)
Response.Write "ISP_Service_Password=" & Session("Password") & Chr(13) & Chr(10)

Response.Write "[ClientSetup]" & Chr(13) & Chr(10)
Response.Write "Client_Setup_New_Call=0" & Chr(13) & Chr(10)
Response.Write "Done_Message=You can explore the Internet whenever you want by clicking the Internet icon on your desktop." & Chr(13) & Chr(10)
Response.Write "Explore_Command=http://www.microsoft.com" & Chr(13) & Chr(10)
Session.Abandon
%>
